#141 closed enhancement (fixed)

Remove newlib context switch.

Reported by: Chris Johns Owned by: Chris Johns
Priority: lowest Milestone: 2
Component: score Version: unknown
Severity: minor Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

The current newlib implementation uses a User Extension to
change the _REENT pointer on a context switch. This is
costly and can be removed.

The aim is not to touch newlib.

Release:
cvs-head

Attachments (1)

pr141.tar.gz (2.4 KB) - added by Chris Johns on Dec 3, 2006 at 1:31:13 PM.
pr141.tar.gz

Download all attachments as: .zip

Change History (4)

comment:1 Changed on May 2, 2002 at 7:50:30 AM by Chris Johns

Owner: changed from joel to Chris Johns

comment:2 Changed on May 15, 2002 at 3:29:35 PM by Joel Sherrill

Status: assignedwaiting

comment:3 Changed on May 15, 2002 at 5:31:06 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied. I had to implement macro versions of the

inline functions.

Changed on Dec 3, 2006 at 1:31:13 PM by Chris Johns

Attachment: pr141.tar.gz added

pr141.tar.gz

Note: See TracTickets for help on using tickets.